| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/common_handlers.h File Reference

A collection of stock event handlers that are widely useful. More...

`#include "cssysdef.h"`
`#include "csutil/scf_implementation.h"`
`#include "iutil/eventh.h"`
`#include "csutil/eventnames.h"`
`#include "ivideo/graph3d.h"`
`#include "ivaria/view.h"`
`#include "iengine/engine.h"`
`#include "csutil/eventhandlers.h"`

Go to the source code of this file.

## Classes
class | FrameBegin3DDraw
| FrameBegin3DDraw handles every csevFrame event in the 3D phase. More...
class | FramePrinter
| FramePrinter handles every csevFrame event in the FRAME (final) phase. More...

## Detailed Description

A collection of stock event handlers that are widely useful.

Definition in file common_handlers.h.